/***************************************************************************
                          docitem.cpp  -  description
                             -------------------
    begin                : Fri Mar 3 2000
    copyright            : (C) 2000 by Yacovlev Alexander & Dmitry Poplavsky <pdima@mail.univ.kiev.ua>
                           (C) 2002 Andras Mantia <amantia@kde.org>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <tqstrlist.h>

#include <tdeconfig.h>

#include "docitem.h"

DocItem::DocItem(TQListViewItem *parent, const TQString &_name, const TQString &_url)
  : TDEListViewItem(parent)
{
  url = _url;
  name = _name;
}

DocItem::DocItem(TQListView *parent, const TQString &_name, const TQString &_url)
  : TDEListViewItem(parent)
{
  url = _url;
  name = _name;
}


DocItem::~DocItem()
{
}


TQString DocItem::text( int i) const
{
  if (i == 0)
    return name;
  else
    return "";
}
//#include "docitem.moc"

